Bug 87923 - RULER: Hiding only the vertical ruler
Summary: RULER: Hiding only the vertical ruler
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jan Holesovsky
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-31 21:44 UTC by Yousuf Philips (jay)
Modified: 2015-03-24 08:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-31 21:44:50 UTC
I decided to take the default no ruler interface for a spin and i've come to see two disadvantages that i feel warrant the return of the vertical ruler.

1) The vertical ruler provides two useful functionalities that cant be achieved without opening the paragraph dialog - indentation and tab stops. It is easy to see and adjust both of these very easily with the ruler enabled.

2) The vertical ruler also provides a section to show and hide comments in a document without having to open up the view menu, a useful feature introduce in 4.1.

This same top only ruler view is also available in Google Docs and WordPerfect, and feel it would be the best for our users.
Comment 1 V Stuart Foote 2014-12-31 22:52:55 UTC
@Jay, *,

You do mean the horizontal ruler going across the top edge of the document frame, the vertical ruler runs down the left edge of the document frame.

Other than vertical layout, the vertical ruler provides function in setting table row heights when a table object is active.  The horizontal ruler provides tab stops and column layouts you note, as well as table object column width controls.
Comment 2 Yousuf Philips (jay) 2014-12-31 22:56:08 UTC
Sometimes my brain just doesnt work right when i think of vertically and horizontally. :D

The arguments are about retaining the horizontal ruler, the one at the top. :D
Comment 3 V Stuart Foote 2015-01-14 04:42:31 UTC
adjusted summary to match OP intent...
Comment 4 V Stuart Foote 2015-01-14 04:45:45 UTC
oops, reverse that--hide the vertical ruler, expose the horizontal
Comment 5 Commit Notification 2015-01-15 14:20:25 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e85489e08e6eca752f3c94c0fb26205ed2d3d880

fdo#87923: Don't hide the rulers completely - show the horizontal one.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-15 14:51:54 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3502b604f383d630878441cc628000c9400f4ed4&h=libreoffice-4-4

fdo#87923: Don't hide the rulers completely - show the horizontal one.

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-16 09:17:09 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=106ca5183a8b68c45c4739edc1572bd125702b33&h=libreoffice-4-4-0

fdo#87923: Don't hide the rulers completely - show the horizontal one.

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2015-03-24 08:37:45 UTC
No idea why this wasn’t closed before…